---
- name: Network Playbook to gather facts
  hosts: eosswitches
  gather_facts: no

  # these vars can be mapped other places
  # but need to be mapped for ansible to
  # connect to Arista switches
  vars:
    ansible_connection: network_cli
    ansible_network_os: eos
    ansible_become: yes
    ansible_become_method: enable
    ansible_user: admin
    ansible_ssh_pass: alta3

  tasks:
  - name: Gather EOS facts
    eos_facts:
      gather_subset: all
    register: results

  - name: Show registered facts
    debug:
      var: results
